### Method

# EDataServerUI4 CertificateWidget set_pem

since: 3.46

#### Declaration [src]

    void
    e_certificate_widget_set_pem (
      ECertificateWidget* self,
      const gchar* pem_data
    )

#### Description [src]

Updates the content of the `self` with the certificate information described by the `pem_data` in the PEM format.

The content of the `self` is cleared when the `pem_data` is `NULL`.

Available since: 3.46

#### Parameters

`pem_data`

  Type: `const gchar*`

  Certificate data in PEM format, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.